matrix:
  platform:
    - debian11
    - macos
    - macos_arm64
    - ubuntu2004
    - ubuntu2204
    - ubuntu2404
  bazel: [7.x, 8.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--enable_bzlmod"
      - "--incompatible_disallow_empty_glob=false"
      - "--cxxopt=-std=c++17"
    build_targets:
      - "@iceoryx//..."
  verify_debian10_targets:
    name: Verify build targets
    platform: debian10
    bazel: ${{ bazel }}
    build_flags:
      - "--enable_bzlmod"
      - "--incompatible_disallow_empty_glob=false"
      - "--cxxopt=-std=c++17"
      - "--linkopt=-lstdc++fs"
    build_targets:
      - "@iceoryx//..."
